package com.chinacreator.video.mapper;

import java.util.HashMap;
import java.util.List;
import org.springframework.stereotype.Component;

/**
 * 查询女王卡
 * @author xu.zhou
 * @date 20200221
 */
@Component
public interface QueenCardDao {

    /**
     * 获取订购女王卡的订购记录
     * @param userid 手机号码
     * @return
     */
    List<HashMap> getOrder(String userid);

    /**
     * 获取后向订购记录
     * @param userid 手机号码
     * @return
     */
    List<HashMap> getBackOrder(String userid);

    /**
     * 查询订购关系
     * @param userid
     * @return
     */
    List<HashMap> findOrderRelaAll(String userid);


    /**
     * 查询是否在女王卡第一期白名单
     * @param userid
     * @return
     */
    int isWhiteList(String userid);
}
